"Setup has detected that the 32-bit version of Microsoft Office is installed..."

Applies To
Product(s): StormCAD, WaterGEMS, WaterCAD, SewerGEMS,  SewerCAD, CivilStorm, HAMMER
Version(s): 08.11.03.xx and earlier
Environment: Windows 7 64 bit
Area: Modeling
Original Author: Scott Kampa, Bentley Technical Support Group

Problem Description

The following message appears during installation:

"Setup has detected that the 32-bit version of Microsoft Office is installed. Due to a prerequisite conflict, this combination is not supported with the 64-bit version of >PRODUCTNAME<. If you would like to install the 64-bit Standalone version of >PRODUCTNAME< or integrate with the 64-bit version of AutoCAD, you must first install a 64-bit version of Microsoft Office or uninstall the current version.

Click "OK" to continue and install >PRODUCTNAME< as 32-bit or "Cancel" to exit setup."

Steps to Resolve

This message indicates that an incompatible version of Microsoft Office was detected, which prevents the 64-bit version of the program from installing on your 64-bit operating system. This may or may not actually be a problem for you, depending on what you need to do. By pressing "OK", the setup will continue and only install the 32-bit version of the product.

If you need to integrate with the 64-bit version of AutoCAD, then you must install the 64-bit version of our product (as the 32-bit version won't integrate). In this case, you will need to address this issue, then reinstall. Otherwise, you will only be able to use the Standalone (or Microstation integrated) version of the product (as 32-bit).

Starting with the SELECTseries 4 releases of the products, they will automatically install as a 64-bit application (as they use SQLITE instead of Access for the model database). So, upgrading is recommended. For SELECTseries 3 or earlier, your options after receiving the information message are:

1) Click OK to proceed and use the 32-bit version that will be installed. This should be fine if you only use the MicroStation integration, ArcGIS integrated or Standalone version of the product.

2) Cancel the setup and upgrade to the 64-bit version of Office (such as Office 2010). Then, you'll be able to install the 64-bit version of the program, which will integrate with the 64-bit version of AutoCAD.

3) Use a virtual machine to keep the programs separate. For example you could use "XP Mode" in Windows 7 and install your 32-bit Office there, uninstall it from your main computer, then you'll be able to install the 64-bit version of our software.

4) Cancel the setup, uninstall Office, then try again. You should then be able to install the 64-bit version of the program, which will integrate with the 64-bit version of AutoCAD. You'll also have the 32-bit Standalone/MicroStation/ArcGIS versions available. This step is not recommended, as it may cause issue with the usage of Microsoft Office.

For a bit of background information: V8i SELECTseries 3 and earlier requires that the Microsoft Access Database Engine be installed as a prerequisite. This is used for accessing MDB databases, which the models are stored in. When installing the program on a 64-bit operating system (typically Windows 7), the program will normally try to install the 64-bit version of it. The 64-bit versions of our software then requires the 64-bit version of the Microsoft Access Database engine component. If you happen to have a 32-bit version of Microsoft Office installed, then the 32-bit version of the Access Database Engine will also be installed. Unfortunately due to a Microsoft issue, the 64-bit version of the Access Database engine cannot be installed in the presence of the 32-bit version (they cannot coexist). This is why you get the message in question.

Recommended
Related